package com.mdtexfx.processors;

import com.mdtexfx.html.HtmlRenderer;

/**
 * Responsible for rendering an HTML document, without modification.
 */
public class HtmlProcessor extends ExecutorProcessor<String> {
  private final HtmlRenderer mHtmlRenderer;

  /**
   * Constructs a new processor that presents an HTML document.
   *
   * @param context Contains a renderer to use for displaying an HTML document.
   */
  public HtmlProcessor( final ProcessorContext context ) {
    mHtmlRenderer = context.getHtmlRenderer();
  }

  @Override
  public String apply( final String html ) {
    return mHtmlRenderer.render( html );
  }
}
